Previous | Contents | Index | Next

- Appendix B: Halibut `man` page
  - B.1 NAME
  - B.2 SYNOPSIS
  - B.3 DESCRIPTION
  - B.4 OPTIONS
  - B.5 MORE INFORMATION
  - B.6 BUGS

# Appendix B: Halibut `man` page

## B.1 NAME

`halibut` – multi-format documentation formatting tool

## B.2 SYNOPSIS

    halibut [options] file1.but [file2.but ...]

## B.3 DESCRIPTION

`halibut` reads the given set of input files, assembles them into a document, and outputs that document in one or more formats.

The available command-line options can configure what formats Halibut should output in, and can also configure other things about the way Halibut works.

## B.4 OPTIONS

The command-line options supported by `halibut` are:

`--text`[`=`filename]
  Makes Halibut generate an output file in plain text format. If the optional filename parameter is supplied, the output text file will be given that name. Otherwise, the name of the output text file will be as specified in the input files, or `output.txt` if none is specified at all.
`--html`[`=`filename]
  Makes Halibut generate one or more output files in HTML format. If the optional filename parameter is supplied, there will be precisely one HTML output file with that name, containing the whole document. Otherwise, there may be one or more than one HTML file produced as output; this, and the file names, will be as specified in the input files, or given a set of default names starting with `Contents.html` if none is specified at all.
`--chm`[`=`filename]
  Makes Halibut generate an output file in Windows HTML Help format. If the optional filename parameter is supplied, the output help file will be given that name. Otherwise, the name of the output help file will be as specified in the input files, or `output.chm` if none is specified at all.
`--winhelp`[`=`filename]
  Makes Halibut generate an output file in old-style Windows Help format. If the optional filename parameter is supplied, the output help file will be given that name. Otherwise, the name of the output help file will be as specified in the input files, or `output.hlp` if none is specified at all.

  The output help file must have a name ending in `.hlp`; if it does not, `.hlp` will be added. A secondary contents file will be created alongside the main help file, with the same name except that it will end in `.cnt` (for example `output.cnt`, if the main file is `output.hlp`).

`--man`[`=`filename]
  Makes Halibut generate an output file in Unix `man` page format. If the optional filename parameter is supplied, the output `man` page will be given that name. Otherwise, the name of the output `man` page will be as specified in the input files, or `output.1` if none is specified at all.
`--info`[`=`filename]
  Makes Halibut generate an `info` file. If the optional filename parameter is supplied, the output `info` file will be given that name. Otherwise, the name of the output `info` file will be as specified in the input files, or `output.info` if none is specified at all.

  By default, unless configured otherwise using the `\cfg{info-max-file-size}{0}` directive, the `info` output will be split into multiple files. The main file will have the name you specify; the subsidiary files will have suffixes `-1`, `-2` etc.

`--pdf`[`=`filename]
  Makes Halibut generate an output file in PDF format. If the optional filename parameter is supplied, the PDF output file will be given that name. Otherwise, the name of the output PDF file will be as specified in the input files, or `output.pdf` if none is specified at all.
`--ps`[`=`filename]
  Makes Halibut generate an output file in PostScript format. If the optional filename parameter is supplied, the PostScript output file will be given that name. Otherwise, the name of the output PostScript file will be as specified in the input files, or `output.ps` if none is specified at all.
`-C` word`:`word[`:`word...]
  Adds a configuration directive to the input processed by Halibut. Using this directive is exactly equivalent to appending an extra input file to the command line which contains the directive `\cfg{`word`}{`word`}{`word...`}`.
`--input-charset=`charset
  Changes the assumed character set for input files from the default of ASCII.
`--list-charsets`
  Makes Halibut list character sets known to it.
`--list-fonts`
  Makes Halibut list fonts known to it, either intrinsically or by being passed as input files.
`--precise`
  Makes Halibut report the column number as well as the line number when it encounters an error in an input file.
`--help`
  Makes Halibut display a brief summary of its command-line options.
`--version`
  Makes Halibut report its version number.
`--licence`
  Makes Halibut display its licence (MIT).

## B.5 MORE INFORMATION

For more information on Halibut, including full details of the input file format, look in the full manual. If this is not installed locally on your system, you can also find it at the Halibut web site:

`https://www.chiark.greenend.org.uk/~sgtatham/halibut/`

## B.6 BUGS

This man page isn't terribly complete.